# Ejemplos de Programación de Temporizadores para el Microcontrolador ATMega32U4

Esta carpeta incluye dos ejemplos programados para el temporizador Timer/Counter1
del microcontrolador ATMega32U4. Estos ejemplos de código cubren la configuración del
temporizador en los modos Normal y Clear Timer and Compare Match (CTC).

Los ejemplos se han estructurado en dos directorios:
- `E1-timer1-normal`: incluye el ejemplo en modo normal.
- `E2-timer1-ctc`: incluye el ejemplo en modo CTC. A diferencia del modo anterior, el registro TOP se configura para alcanzar una frecuencia de 10Hz.

Los dos ejemplos importan un fichero de cabecera `bitwise.h` que implementa operaciones elementales para leer y escribir los bits de los registros del computador.

> *Copyright (C) 2024 Ángel Pérez Muñoz, Manuel Nieto.*